[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.DoOnMouseMove

OnMouseMove message handler, updates the Hint.

## Declaration

Source position: forms.pp line 1582

`protected procedure TApplication.DoOnMouseMove; virtual;`

## Description

DoOnMouseMove performs actions needed when a mouse move message is received and applied for the application. It retrieves the current position for the mouse pointer, and calls the ActivateHint method to build / display a hint for the active form / control in the application.

DoOnMouseMove is called from the NotifyUserInputHandler method.